{
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
    flake-utils.url = "github:numtide/flake-utils";
  };
  outputs =
    {
      self,
      nixpkgs,
      flake-utils,
      ...
    }:
    flake-utils.lib.eachDefaultSystem (
      system:
      let
        pkgs = import nixpkgs {
          inherit system;
        };
        fontConfigFile = pkgs.makeFontsConf {
          fontDirectories = [ pkgs.freefont_ttf ];
        };
      in
      with pkgs;
      {
        devShells.default = mkShell {
          buildInputs = [
            inkscape
            just
          ];
          shellHook = ''
            export FONTCONFIG_FILE=${fontConfigFile}
          '';
        };
      }
    );
}

